﻿// <auto-generated />
using System;
using Bowling.Infrastructure.DBPostgresContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace Bowling.Infrastructure.DBPostgresContext.Migrations
{
    [DbContext(typeof(PGBowlingContext))]
    [Migration("20231127172451_initialcreate")]
    partial class initialcreate
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.14")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("Bowling.Infrastructure.DBPostgresContext.Entities.Bowling", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int>("Score")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.ToTable("Bownlings", (string)null);
                });

            modelBuilder.Entity("Bowling.Infrastructure.DBPostgresContext.Entities.Frame", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("BowlingId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("BownlingId")
                        .HasColumnType("uuid");

                    b.Property<string>("First")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("Number")
                        .HasColumnType("integer");

                    b.Property<int>("Rolls")
                        .HasColumnType("integer");

                    b.Property<string>("Second")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("BowlingId");

                    b.ToTable("Frames", (string)null);
                });

            modelBuilder.Entity("Bowling.Infrastructure.DBPostgresContext.Entities.Frame", b =>
                {
                    b.HasOne("Bowling.Infrastructure.DBPostgresContext.Entities.Bowling", null)
                        .WithMany("Frames")
                        .HasForeignKey("BowlingId");
                });

            modelBuilder.Entity("Bowling.Infrastructure.DBPostgresContext.Entities.Bowling", b =>
                {
                    b.Navigation("Frames");
                });
#pragma warning restore 612, 618
        }
    }
}
